Page MenuHomePhabricator

esams/knams: advertise 185.15.58.0/23 instead of 185.15.56.0/22
Closed, ResolvedPublic

Description

185.15.56.0/23 is now used/reserved for cloud services in eqiad/codfw, esams/knams needs to not include it in its advertised prefix (currently advertise the whole 185.15.56.0/22).
The advertised WMCS prefix is more specific there are no operational differences (no expected impact) in changing the prefix out of esams/knams.

To be pushed to esams/knams after verifying our signed RPKI prefixes permit it.

[edit routing-options aggregate]
     route 91.198.174.192/27 { ... }
+    route 185.15.58.0/23 policy BGP_aggregate_contributors;
-    route 185.15.56.0/22 policy BGP_aggregate_contributors;
[edit policy-options prefix-list bgp-out]
-    185.15.56.0/22;
+    185.15.58.0/23;

Then use public routeservers to verify.

Details

Related Gerrit Patches:

Event Timeline

ayounsi triaged this task as Medium priority.Oct 23 2018, 2:09 PM
ayounsi created this task.
Restricted Application added a project: Operations. · View Herald TranscriptOct 23 2018, 2:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ayounsi updated the task description. (Show Details)May 10 2019, 9:55 PM

Change 564564 had a related patch set uploaded (by Ayounsi; owner: Ayounsi):
[operations/homer/public@master] esams/knams: advertise 185.15.58.0/23 instead of 185.15.56.0/22

https://gerrit.wikimedia.org/r/564564

Mentioned in SAL (#wikimedia-operations) [2020-03-26T10:16:02Z] <XioNoX> esams/knams: advertise 185.15.58.0/23 instead of 185.15.56.0/22 - T207753

Change 564564 merged by jenkins-bot:
[operations/homer/public@master] esams/knams: advertise 185.15.58.0/23 instead of 185.15.56.0/22

https://gerrit.wikimedia.org/r/564564

ayounsi closed this task as Resolved.Thu, Mar 26, 10:26 AM

Got the OK during a previous meeting.

Done and verified:
ROAs are good
/23 is advertised as expected
WMCS /24s are reachable

IRR objects created.